/*
Theme Name:     divi child
Theme URI:      https://www.viragkiss.hu/
Description:    Child theme for DIVI theme
Author:         Budai Kristóf
Author URI:     https://bkrisa.hu/
Template:       Divi
Version:        1.0.0
Text Domain:    Divi
*/

@import url("../Divi/style.css");

.btn {
  background: #551a2f;
  border: 2px solid #551a2f;
  border-radius: 50px;
  color: #fbfcfb;
  font-size: 20px;
  font-weight: 500;
  padding: .3em 1em;
  line-height: 1.7em !important;
  display: block;
  margin: 0 auto;
  width: max-content;
}

/* Cookie popup */
body .cky-btn-accept {
  background: #27b691 !important;
  border-color: #27b691 !important;
}
body .cky-btn-customize {
  color: #27b691 !important;
  border-color: #27b691 !important;
}
body .x8ImWz {color: #27b691 !important;}

/* Header */
#fejlec .et-menu {gap: 22px;}
#fejlec .et-menu a {padding: 0px;height: 38px;}
#fejlec .et-menu a:hover {opacity: 1;}
#fejlec .menu-item {
  border: 1px solid #fbfcfb;
  border-radius: 100px;
  height: 38px;
  position: relative;
}
#fejlec .menu-item:hover {border-color: #27b691;}
#fejlec .menu-item a:after {
  transform: translate(-50%, 10px);
  height: 1px;
  width: 40%;
  top: 105%;
  left: 50%;
  transition: opacity 0.3s, transform 0.3s;
  position: absolute;
  content: '';
  opacity: 0;
  background: #7f817e;
}
#fejlec .menu-item:hover a:after {transform: translate(-50%,12px);opacity: 1;}
/* Mobile header */
#fejlec .et_mobile_menu {
  padding: 0 0 10px 0;
  box-shadow: none;
  width: 100vw;
  margin-left: calc(50% - 50vw);
}
#fejlec .et_mobile_menu a {text-align: center;border: none;}
#fejlec .mobile_nav.opened .mobile_menu_bar:before {
  content: "\4d";
}

/* Karrier oldal */
.et_pb_gutters3 #karrier-gyik .et_pb_module {margin-bottom: 15px;}
#karrier-tortenet {position: relative; overflow: visible;}
#karrier-tortenet::before {
  content: '';
  position: absolute;
  top: -28px;
  left: 16px;
  width: 65px;
  height: 60px;
  background: url("/wp-content/uploads/2026/07/quote.svg") no-repeat;
  z-index: 2;
}
.five-images-row {
  display: flex;
  gap: 8px;
  flex-wrap: wrap;
  justify-content: flex-end;
  margin-top: 10px;
}
.five-images-row img {
  width: 26px;
  height: 26px;
  object-fit: cover;
  object-position: center;
}

/* Referenciák */
#refernciak img {filter: grayscale(59%) blur(0px) brightness(100%) sepia(0%) invert(0%) saturate(100%) contrast(100%) hue-rotate(0deg);}
#refernciak .et_pb_image_wrap {transition: transform 0.2s ease-out;transform: scale(1);}
#refernciak .et_pb_image_wrap:hover {transform: scale(1.1);}

/* Blog */
#blog .container:before {content: none;}
#blog .container {width: 100%;max-width: 2400px;}
#blog .archive-description {background: #fff;}
#blog .archive-title-box {width: 90%;max-width: 2400px;margin: 0 auto;}
#blog h1 {padding: 42px 0;font-size: 44px;line-height: 1.2em;}
.blog-tags {
  display: flex;
  flex-wrap: wrap;
  row-gap: 10px;
  column-gap: 6px;
  padding: 20px 0;
}
.blog-tags li {
  list-style: none;
  padding: 0 10px;
  border: 1px solid #fff;
  border-radius: 100px;
}
.blog-tags li:hover {border-color: #7f817e;}
.blog-tags li.active {background: #27b691;color: #fff;}
.blog-tags a {color: #7f817e;}
.blog-tags li.active {border-color: #27b691;}
.blog-tags li.active a {color: #fff;}
.custom-blog {background: #eaeaea;}
.custom-blog-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);  gap: 20px;
  width: 90%;
  max-width: 2400px;
  margin: 0 auto;
  padding: 20px 0;
}
.custom-blog-card {background: #fff;display: flex;flex-direction: column;}
.custom-blog-image {height: 250px;overflow: hidden;}
.custom-blog-image img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}
.custom-blog-content {
  position: relative;
  z-index: 2;
  background: #fff;
  max-width: 85%;
  margin: -40px auto 0px;
  padding: 15px;
  flex: 1;
  text-align: center;
}
.custom-blog-date {margin-bottom: 10px;font-size: 13px;color: #999;}
.custom-blog-title {margin: 0 0 15px;font-size: 20px;line-height: 1.2em;font-weight: bold;color: #27b691;text-decoration: underline;}
.custom-blog-excerpt {margin-bottom: 20px;font-size: 14px;line-height: 1.6em;}
.custom-blog-read-more {display: inline-block;}
.custom-blog-read-more svg {
  background: #27b691;
  width: 32px;
  height: 32px;
  border-radius: 100px;
  color: #fff;
  padding: 8px;
  transition: all 0.2s ease-in-out;
}
.custom-blog-read-more:hover svg {background: #7f817e;transform: scale(1.1);}
/* Reszponzív változtatások */
@media (max-width: 1200px) {.custom-blog-grid {grid-template-columns: repeat(3, 1fr);}}
@media (max-width: 900px) {.custom-blog-grid {grid-template-columns: repeat(2, 1fr);}}
@media (max-width: 600px) {.custom-blog-grid {grid-template-columns: 1fr;}}
/* Blog lapozó */
.custom-blog-pagination {
  text-align: center;
  word-break: break-all;
  line-height: 40px;
  padding: 20px 0;
}
.page-numbers {
	border: 1px solid #eaeaea;
	padding: 3px 10px;
	margin: 3px;
}
.page-numbers.current {border-color: #7f817e;}
.page-numbers.current:hover {border-color: #7f817e;}
.page-numbers:hover {border-color: #27b691;}
/* Vlog */
#blog .vlog {width: 100%;}
#blog .vlog h1 {
  width: 90%;
  margin: 0 auto;
  padding: 0;
}
#blog .vlog .blog-tags {
  width: 90%;
  margin: 0 auto;
}
@media (min-width: 600px) {
  .vlog div {
    min-height: 540px;
    /*background-image: url(/wp-content/uploads/2026/08/kiss-virag-vlog-2.webp);*/
    background-size: cover;
    background-position: 45% 40%;
    display: flex;
    justify-content: center;
    flex-direction: column;
  }
}

/* Főoldal */
#hero ul {padding-top:10px;}
#hero .five-images-row {justify-content: flex-start;gap: 5px;}
#hero .five-images-row img {width: 20px;height: 20px;}
.problema li, .megoldas li {padding-left: 5px;}
.problema li:before {
  content: '✕';
  position: absolute;
  left: 0;
  color: #dd3333;
  font-weight: bold;
}
.megoldas li:before, #hero li:before {
  content: '✓';
  position: absolute;
  left: 0;
  color: #27b691;
  font-weight: bold;
}

/* Kapcsolat */
input.text, input.title, input[type=email], input[type=password], input[type=tel], input[type=text], select, textarea {
  border: 1px solid rgba(0,0,0,0.01);
  border-radius: 20px;
  padding: 16px;
  width: 100%;
  font-size: 16px;
  margin-bottom: 16px;
}
#kapcsolat .wpcf7-list-item {margin: 0;}
#kapcsolat .two-inputs p {display: flex;gap: 15px;}
#kapcsolat form p {padding: 0;margin: 0;}
#kapcsolat form a {color: inherit;font-weight: 700;text-decoration: underline;}
#kapcsolat input[type=submit] {
  background: #551a2f;
  color: #fbfcfb;
  border: 2px solid #551a2f;
  border-radius: 50px;
  cursor: pointer;
  font-size: 20px;
  font-weight: 500;
  padding: .3em 1em;
  line-height: 1.7em;
  float: right;
}
#kapcsolat input[type=submit]:hover {background-color: #31101b;border-color: #31101b;}
@media (max-width: 768px) {
  #kapcsolat .two-inputs p {flex-direction: column;gap: 0;}
  #blog h1 {font-size: 34px;overflow-wrap: anywhere;}
}